<p align="center"><a href="https://lando.dev" target="_blank"><img width=250" src="https://docs.lando.dev/images/hero-pink.png" alt="Lando logo"></a></p>

<h1 align="center">Lando</h1>
<h3 align="center">A Liberating Dev Tool For All Your Projects</h3>
<p align="center">The local development and DevOps tool trusted by professional developers across the galaxy.
<p>
<p align="center">Free yourself from the mind-forged manacles of lesser dev tools. Save time, headaches, frustration and do more real work.
<p>
<p align="center">
  <strong>
    <a href="https://lando.dev">learn more</a> |
    <a href="https://docs.lando.dev/basics/#introduction">what is it good for?</a> |
    <a href="https://docs.lando.dev/basics/#wait-doesn-t-docker-compose-do-this">wait, doesn't docker compose do this?</a>
  </strong>
</p>
<br />

<h2 align="center">Support Lando</h2>
<p align="center">Lando is and always will be FREE and OPEN SOURCE. As such it relies on generous contributions from its community to fund its development. Join our list of list of <a href="https://lando.dev/sponsor/">great sponsors!</a> by contributing.
<p>
<p align="center">
  <a href="https://github.com/sponsors/lando">GitHub Sponsors</a> |
  <a href="https://www.patreon.com/devwithlando">Patreon</a> |
  <a href="https://opencollective.com/lando">OpenCollective</a>
</p>
<br />

<h2 align="center">Documentation</h2>
<h3 align="center">Getting Started</h3>
<p align="center">
  <a href="https://docs.lando.dev/basics/">Introduction</a> |
  <a href="https://docs.lando.dev/basics/usage.html">CLI Usage</a> |
  <a href="https://docs.lando.dev/basics/installation.html">Installation</a>
</p>
<h3 align="center">Recipes</h3>
<p align="center">
  <a href="https://docs.lando.dev/config/backdrop.html">Backdrop</a> |
  <a href="https://docs.lando.dev/config/drupal6.html">Drupal 6</a> |
  <a href="https://docs.lando.dev/config/drupal7.html">Drupal 7</a> |
  <a href="https://docs.lando.dev/config/drupal8.html">Drupal 8</a> |
  <a href="https://docs.lando.dev/config/drupal9.html">Drupal 9</a> |
  <a href="https://docs.lando.dev/config/joomla.html">Joomla</a> |
  <a href="https://docs.lando.dev/config/lagoon.html">Lagoon</a> |
  <a href="https://docs.lando.dev/config/laravel.html">Laravel</a> |
  <a href="https://docs.lando.dev/config/lamp.html">LAMP</a> |
  <a href="https://docs.lando.dev/config/lemp.html">LEMP</a> |
  <a href="https://docs.lando.dev/config/mean.html">MEAN</a> |
  <a href="https://docs.lando.dev/config/pantheon.html">Pantheon</a> |
  <a href="https://docs.lando.dev/config/platformsh.html">Platform.sh</a> |
  <a href="https://docs.lando.dev/config/wordpress.html">WordPress</a>
</p>
<h3 align="center">Services</h3>
<p align="center">
  <a href="https://docs.lando.dev/config/apache.html" target="_blank">Apache</a> |
  <a href="https://docs.lando.dev/config/compose.html" target="_blank">Compose</a> |
  <a href="https://docs.lando.dev/config/dotnet.html" target="_blank">dotnet</a> |
  <a href="https://docs.lando.dev/config/elasticsearch.html" target="_blank">Elasticsearch</a> |
  <a href="https://docs.lando.dev/config/go.html" target="_blank">Go</a> |
  <a href="https://docs.lando.dev/config/mailhog.html" target="_blank">MailHog</a> |
  <a href="https://docs.lando.dev/config/mariadb.html" target="_blank">MariaDB</a> |
  <a href="https://docs.lando.dev/config/mysql.html" target="_blank">MySQL</a> |
  <a href="https://docs.lando.dev/config/mssql.html" target="_blank">MSSQL</a> |
  <a href="https://docs.lando.dev/config/nginx.html" target="_blank">nginx</a> |
  <a href="https://docs.lando.dev/config/node.html" target="_blank">Node</a> |
  <a href="https://docs.lando.dev/config/php.html" target="_blank">PHP</a> |
  <a href="https://docs.lando.dev/config/phpmyadmin.html" target="_blank">PhpMyAdmin</a> |
  <a href="https://docs.lando.dev/config/postgres.html" target="_blank">Postgres</a> |
  <a href="https://docs.lando.dev/config/python.html" target="_blank">Python</a> |
  <a href="https://docs.lando.dev/config/redis.html" target="_blank">Redis</a> |
  <a href="https://docs.lando.dev/config/ruby.html" target="_blank">Ruby</a> |
  <a href="https://docs.lando.dev/config/solr.html" target="_blank">Solr</a> |
  <a href="https://docs.lando.dev/config/tomcat.html" target="_blank">Tomcat</a> |
  <a href="https://docs.lando.dev/config/varnish.html" target="_blank">Varnish</a>
</p>
<h3 align="center">Advanced Configuration</h3>
<p align="center">
  <a href="https://docs.lando.dev/config/lando.html" target="_blank">Landofile</a> |
  <a href="https://docs.lando.dev/config/recipes.html" target="_blank">Recipes</a> |
  <a href="https://docs.lando.dev/config/services.html" target="_blank">Services & Build Steps</a> |
  <a href="https://docs.lando.dev/config/tooling.html" target="_blank">Tooling</a> |
  <a href="https://docs.lando.dev/config/proxy.html" target="_blank">Proxy & Nice Url Routing</a> |
  <a href="https://docs.lando.dev/config/env.html" target="_blank">Environment</a> |
  <a href="https://docs.lando.dev/config/events.html" target="_blank">Events & Automation</a> |
  <a href="https://docs.lando.dev/config/experimental.html" target="_blank">Experimental</a> |
  <a href="https://docs.lando.dev/config/networking.html" target="_blank">Networking</a> |
  <a href="https://docs.lando.dev/config/performance.html" target="_blank">Performance</a> |
  <a href="https://docs.lando.dev/config/releases.html" target="_blank">Release Channels</a> |
  <a href="https://docs.lando.dev/config/ssh.html" target="_blank">SSh Keys</a> |
  <a href="https://docs.lando.dev/config/global.html" target="_blank">Global Config</a>
</p>
<br />

<h2 align="center">Help, Troubleshooting & Support</h2>
<p align="center">
  <a href="https://docs.lando.dev/guides/lando-info.html" target="_blank">Guides and Tutorials</a> |
  <a href="https://github.com/lando/lando/tree/master/examples" target="_blank">Examples</a> |
  <a href="https://docs.lando.dev/help/dns-rebind.html" target="_blank">Known Issues</a> |
  <a href="https://docs.lando.dev/help/logs.html" target="_blank">Accessing Logs</a> |
  <a href="https://github.com/lando/lando/issues" target="_blank">GitHub Issue Queue</a> |
  <a href="https://launchpass.com/devwithlando" target="_blank">Slack Channel</a> |
  <a href="https://www.youtube.com/channel/UCl_QBNuGJNoo7yH-n18K7Kg" target="_blank">YouTube Videos</a>
</p>
<br />

<h2 align="center">Engage</h2>
<p align="center">
  <a href="https://docs.lando.dev/contrib/contributing.html" target="_blank">Contribute to the Project</a> |
  <a href="https://lando.dev/join" target="_blank">Join the Alliance</a> |
  <a href="https://events.lando.dev/" target="_blank">Events and Meetups</a> |
  <a href="https://blog.lando.dev" target="_blank">Blog</a> |
  <a href="https://twitter.com/devwithlando" target="_blank">Follow on Twitter</a>
</p>
<br />

Security Issues
---------------

If you have discovered a security issue with Lando, please contact the Lando Security Team directly at
[security@devwithlando.io](mailto:security@devwithlando.io). We manage security issues separately in a private repository until the issue has been resolved. Even if you're not sure if it's a security problem, please contact the security team before filing an issue, blogging, or
tweeting about it.

Other Resources
---------------

*   [Mountain climbing advice](https://www.youtube.com/watch?v=tkBVDh7my9Q)
